﻿// JScript File
// Reference the AJAX video - HDI-AJAX-NetworkCalls which demostrates how to start doing this.

var PAGE_UPDATE_TIME = 2000; // 2 secs

function OnTimeOut(arg)
{
   alert("A timeout has occurred");
}

function OnError(error)
{
  alert("An error has occurred" + error.get_message());
}

function PollSigns()
{
  this.TimeOut = PAGE_UPDATE_TIME;
  
  var self = this;  // this is important

  // this does the call to the server, the first arg is the parameter required by the webservice function, then we have the callback function,  
  //  if there is an error, the error callback is next, and then the final argument is passed straight back to the Jscript function as the second argument
  // in the list.  It's an identifier which can be very useful.
  this.doPollSign = function ()
  {
    ret = DGDemoService.GetSignPage(OnSignComplete, OnError, 1);  // the final argument is passed back to the js calling function as the second argument.
  };

  // this is the callback function.
  // arg is the return value from the web service, sign is the identifier passed in the call
  this.OnSignComplete = function (arg, sign)
  {
     var signDiv = document.getElementById("sign" + sign);
     
     while (signDiv.firstChild)
     {
       signDiv.removeChild(signDiv.firstChild);
     }
     signDiv.innerHTML = arg;
     
     var signPollHand = setTimeout(self.doPollSign, this.TimeOut);    
  };  
  
  doPollSign();
  return(true);
  
}

